Subject: [karp] FW: Stephen Farrell's Discuss on draft-ietf-karp-design-guide-04: (with DISCUSS and COMMENT)

From: "Bhatia, Manav (Manav)" <[email-masked]>
Date: Mon, 26 Sep 2011 08:16:19 +0530

Just noticed that karp mailing list was not included in the original mail .. 

-----Original Message-----
From: Bhatia, Manav (Manav) [mailto:[email-masked]] 
Sent: Monday, September 26, 2011 6:06 AM
To: Stephen Farrell; The IESG
Cc: [email-masked]; [email-masked]
Subject: RE: Stephen Farrell's Discuss on draft-ietf-karp-design-guide-04: (with DISCUSS and COMMENT)

Hi Stephen,

Addressing your two comments:

> I don't know what "very strong keys" might be. Keys are either good or 
> bad, not very good or very bad.

Replaced the "very strong keys" with "strong keys".

>  
> I still don't see a reference for a two time pad. You really need 
> that.

I couldn't find a reference for two-time pads. We can also delete the reference to two time pads as routing protocols DON'T need encryption. However, we had included the text just in case we need encryption some time in future. Using a KMP would help in that case as well. 

Would it help if we rewrite the text as:

OLD

Most importantly it provides fresh traffic keying material for each session, thus helping to prevent a number of attacks such as inter-connection replay and two-time pads (applicable if encryption is required)

NEW
Most importantly it provides fresh traffic keying material for each session, thus helping to prevent inter-connection replay attacks. Any fixed keystream output, generated from the same key and index should only be used to encrypt once. Re-using such keystream (jokingly called a 'two-time pad' system by cryptographers), can seriously compromise security. The NSA's VENONA project [VENONA] provides a historical example of such a compromise. Usually routing protocols dont require encryption, however, if they do then using a KMP avoids the two-time pad problem since packets from different sessions are encrypted using distinct IVs, or, with distinct session keys or both distinct IVs and session keys.

[VENONA]  Crowell, W. P., "Introduction to the VENONA Project", http://www.nsa.gov:8080/docs/venona/index.html

Cheers, Manav